# Class ReturnPhase

#### Hierarchy (view full)

- SwitchSummonPhase
  - ReturnPhase

- Defined in src/phases.ts:1619

#####
Index

### Constructors

constructor

### Properties

fieldIndex
partyMemberIndex
player
scene

### Methods

end
executeForAll
getOrder
getParty
getPokemon
hideEnemyTrainer
onEnd
preSummon
queuePostSummon
showEnemyTrainer
start
summon
switchAndSummon

## Constructors

### constructor

- new ReturnPhase(scene, fieldIndex): ReturnPhase

- #### Parameters

  - scene: default
  - fieldIndex: number

  #### Returns ReturnPhase

  Overrides SwitchSummonPhase.constructor

  - Defined in src/phases.ts:1620

## Properties

### `Protected` fieldIndex

fieldIndex: number

Inherited from SwitchSummonPhase.fieldIndex

- Defined in src/phases.ts:714

### `Protected` partyMemberIndex

partyMemberIndex: number

Inherited from SwitchSummonPhase.partyMemberIndex

- Defined in src/phases.ts:713

### `Protected` player

player: boolean

Inherited from SwitchSummonPhase.player

- Defined in src/phases.ts:715

### `Protected` scene

scene: default

Inherited from SwitchSummonPhase.scene

- Defined in src/phase.ts:4

## Methods

### end

- end(): void

- #### Returns void

  Inherited from SwitchSummonPhase.end

  - Defined in src/phases.ts:1474

### executeForAll

- executeForAll(func): void

- #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from SwitchSummonPhase.executeForAll

  - Defined in src/phases.ts:681

### getOrder

- getOrder(): BattlerIndex []

- #### Returns BattlerIndex []

  Inherited from SwitchSummonPhase.getOrder

  - Defined in src/phases.ts:659

### getParty

- getParty(): default []

- #### Returns default []

  Inherited from SwitchSummonPhase.getParty

  - Defined in src/phases.ts:727

### getPokemon

- getPokemon(): default

- #### Returns default

  Inherited from SwitchSummonPhase.getPokemon

  - Defined in src/phases.ts:731

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from SwitchSummonPhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### onEnd

- onEnd(): void

- #### Returns void

  Overrides SwitchSummonPhase.onEnd

  - Defined in src/phases.ts:1630

### preSummon

- preSummon(): void

- Sends out a Pokemon before the battle begins and shows the appropriate messages

  #### Returns void

  Inherited from SwitchSummonPhase.preSummon

  - Defined in src/phases.ts:1496

### queuePostSummon

- queuePostSummon(): void

- #### Returns void

  Inherited from SwitchSummonPhase.queuePostSummon

  - Defined in src/phases.ts:1614

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from SwitchSummonPhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Inherited from SwitchSummonPhase.start

  - Defined in src/phases.ts:1310

### summon

- summon(): void

- #### Returns void

  Overrides SwitchSummonPhase.summon

  - Defined in src/phases.ts:1628

### switchAndSummon

- switchAndSummon(): void

- #### Returns void

  Overrides SwitchSummonPhase.switchAndSummon

  - Defined in src/phases.ts:1624